Distance between labels wrong

2015-01-04 03:36 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20145

Description

When setting the distance between labels in map units (meters), the results is not what is expected, and it is different between the canvas

and the layout raster output.

See the attached example:

    -  line

    -  distance between points along the line= 1000 map units

    -  label repeat distance set first to 1000, then to 4000 - see the two raster output

Associated revisions

Revision 15ba0064 - 2015-05-31 11:05 PM - Nyall Dawson

[labeling] Fix broken repeat distance in map units (fix #11937)

Revision 5378f736 - 2015-06-24 01:47 PM - Nyall Dawson

[labeling] Fix broken repeat distance in map units (fix #11937)

Cherry-picked from 15ba0064088559124741a04ae4603048f6b8ccb6

History

#1 - 2015-05-31 02:19 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"15ba0064088559124741a04ae4603048f6b8ccb6".

Files

label_test.zip 254 KB 2015-01-04 Paolo Cavallini
